package main

import (
	"github.com/beego/beego/v2/server/web"
	_ "hongze/hongze_task/routers"
	"hongze/hongze_task/services"
)

func main() {
	if web.BConfig.RunMode == "dev" {
		web.BConfig.WebConfig.DirectoryIndex = true
		web.BConfig.WebConfig.StaticDir["/swagger"] = "swagger"
	}
	go services.Task()
	//services.TaskTest()
	web.Run()
}
